Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
pow_mod.cpp File Reference
`#include <botan/pow_mod.h>`
`#include <botan/numthry.h>`
`#include <botan/reducer.h>`
`#include <botan/monty.h>`
`#include <botan/internal/monty_exp.h>`
`#include <botan/internal/rounding.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces
| Botan

## Variable Documentation

BigInt m_e

Definition at line 113 of file pow_mod.cpp.

BigInt m_exp

Definition at line 51 of file pow_mod.cpp.

Referenced by Botan::SP800_56C::clone().

std::vector<BigInt> m_g

Definition at line 53 of file pow_mod.cpp.

Referenced by Botan::McEliece_PrivateKey::get_goppa_polyn().

Power_Mod::Usage_Hints m_hints

Definition at line 54 of file pow_mod.cpp.

Modular_Reducer m_mod_p

Definition at line 109 of file pow_mod.cpp.

std::shared_ptr<const Montgomery_Exponentation_State> m_monty

Definition at line 111 of file pow_mod.cpp.

std::shared_ptr<const Montgomery_Params> m_monty_params

Definition at line 110 of file pow_mod.cpp.

BigInt m_p

Definition at line 108 of file pow_mod.cpp.

Referenced by Botan::Scrypt::p(), Botan::Argon2::p(), and Botan::Montgomery_Params::p().

Modular_Reducer m_reducer

Definition at line 50 of file pow_mod.cpp.

size_t m_window_bits

Definition at line 52 of file pow_mod.cpp.